Subject: Argus Snmp Oid Calculations

From: "Zeki Kubilay Akyol" <[email-masked]>
Date: Sun, 22 Jan 2006 22:20:00 +0200

Hello,

I am getting Windows Cpu usage with this configuration

Service UDP/SNMP {
	label: MSSQL01  
	hostname: mssql01.radore.net
	community: rh         
	oid: .1.3.6.1.2.1.25.3.3.1.2.1
	maxvalue: 95
}     

But with a Dual Xeon Box, Windows has 4 processor.

Cpu1 : .1.3.6.1.2.1.25.3.3.1.2.1
Cpu2 : .1.3.6.1.2.1.25.3.3.1.2.2
Cpu3 : .1.3.6.1.2.1.25.3.3.1.2.3
Cpu4 : .1.3.6.1.2.1.25.3.3.1.2.4

What I want to ask is.

How will I add the output of the 4 proc and devide to 4 (To get the average
values in Argus.

What I mean In numeric is:

Oid:
(.1.3.6.1.2.1.25.3.3.1.2.1+.1.3.6.1.2.1.25.3.3.1.2.2+.1.3.6.1.2.1.25.3.3.1.2
.3+.1.3.6.1.2.1.25.3.3.1.2.4) / 4

Thanks,

Kubilay Akyol
CEO - MCSE
 
Radore Hosting Telekomünikasyon Hizm. San. ve Tic. Ltd. Şti.
Emekli Subay Evleri 1. Kısım 9/2
34394, Esentepe, Istanbul, Türkiye
Telefon : + 90 212 347 2 347
Faks    : + 90 212 347 99 32
e-mail : [email-masked]
website : www.rh.com.tr